SnmpModule (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble.snmp

## Class SnmpModule

- java.lang.Object
- - net.percederberg.mibble.snmp.SnmpModule

-     public class SnmpModule
      extends java.lang.Object

  An SNMP module compliance value. This declaration is used inside the module compliance macro type.
  Since:
    2.0
  See Also:
    `SnmpModuleCompliance`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpModule(java.lang.String module, java.util.ArrayList<MibValue> groups, java.util.ArrayList<SnmpCompliance> compliances)` Creates a new module compliance declaration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Returns the module comment.
    `java.util.ArrayList<SnmpCompliance>` | `getCompliances()` Returns the list of compliances.
    `java.util.ArrayList<MibValue>` | `getGroups()` Returns the list of mandatory group values.
    `java.lang.String` | `getModule()` Returns the module name.
    `void` | `setComment(java.lang.String comment)` Sets the module comment.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpModule

          public SnmpModule(java.lang.String module,
                    java.util.ArrayList<MibValue> groups,
                    java.util.ArrayList<SnmpCompliance> compliances)

      Creates a new module compliance declaration.
      Parameters:
        `module` - the module name, or null
        `groups` - the list of mandatory group values
        `compliances` - the list of compliances

  - ### Method Detail

    - #### getModule

          public java.lang.String getModule()

      Returns the module name.
      Returns:
        the module name, or null if not set

    - #### getGroups

          public java.util.ArrayList<MibValue> getGroups()

      Returns the list of mandatory group values. The returned list will consist of MibValue instances.
      Returns:
        the list of mandatory group values
      See Also:
        `MibValue`

    - #### getCompliances

          public java.util.ArrayList<SnmpCompliance> getCompliances()

      Returns the list of compliances. The returned list will consist of SnmpCompliance instances.
      Returns:
        the list of compliances
      See Also:
        `SnmpCompliance`

    - #### getComment

          public java.lang.String getComment()

      Returns the module comment.
      Returns:
        the module comment, or null if no comment was set
      Since:
        2.9

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the module comment.
      Parameters:
        `comment` - the module comment
      Since:
        2.9

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object